wxWidgets: wxDCTextBgColourChanger Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxDCTextBgColourChanger Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/dc.h>`

## Detailed Description

wxDCTextBgColourChanger is a small helper class for setting a background text colour on a wxDC and unsetting it automatically in the destructor, restoring the previous one.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxDC::SetTextBackground(), wxDCFontChanger, wxDCPenChanger, wxDCBrushChanger, wxDCClipper, wxDCTextColourChanger, wxDCBgModeChanger

Since
  3.1.3

## Public Member Functions
| wxDCTextBgColourChanger (wxDC &dc)
| Trivial constructor not changing anything.
| wxDCTextBgColourChanger (wxDC &dc, const wxColour &col)
| Sets col on the given dc, storing the old one.
void | Set (const wxColour &col)
| Set the background colour to use.
| ~wxDCTextBgColourChanger ()
| Restores the background colour originally selected in the DC passed to the ctor.

## Constructor & Destructor Documentation

## ◆ wxDCTextBgColourChanger() [1/2]

wxDCTextBgColourChanger::wxDCTextBgColourChanger | ( | wxDC & | dc | ) |

Trivial constructor not changing anything.

This constructor is useful if you don't know beforehand if the colour needs to be changed or not. It simply creates the object which won't do anything in its destructor unless Set() is called – in which case it would reset the previous colour.

## ◆ wxDCTextBgColourChanger() [2/2]

wxDCTextBgColourChanger::wxDCTextBgColourChanger | ( | wxDC & | dc,
|  | const wxColour & | col )

Sets col on the given dc, storing the old one.

Parameters

  dc | The DC where the colour must be temporary set.
  col | The text background colour to set.

## ◆ ~wxDCTextBgColourChanger()

wxDCTextBgColourChanger::~wxDCTextBgColourChanger | ( |  | ) |

Restores the background colour originally selected in the DC passed to the ctor.

## Member Function Documentation

## ◆ Set()

void wxDCTextBgColourChanger::Set | ( | const wxColour & | col | ) |

Set the background colour to use.

This method is meant to be called once only and only on the objects created with the constructor overload not taking wxColour argument and has the same effect as the other constructor, i.e. sets the background colour to the given col and ensures that the old value is restored when this object is destroyed.